### Virtual Method

# Ide Vcs list_tags_finish

#### Declaration

    GPtrArray*
    list_tags_finish (
      IdeVcs* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| An array of `IdeVcsBranch`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.